[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: First Report



Ignacio Vazquez-Abrams wrote:
> python-cheetah

This has been fixed but not well.  python-cheetah provides an
importHook() that had the potential to break with python-2.5+ due to
python providing relative vs absolute import information to the hook.
python-2.6's stdlib has a module that exposes the bug.  I've made
importHook() function accept the extra data but it doesn't currently do
anything with it.  BZ opened if anyone wants to deal with it:
  https://bugzilla.redhat.com/show_bug.cgi?id=474090


> bodhi python-cherrypy2
> ipa python-cherrypy2
> python-tgcaptcha python-cherrypy2
> python-turboflot python-cherrypy2
> python-TurboMail python-cherrypy2
> TurboGears python-cherrypy2

TurboGears (and from that, the rest of these) are currently blocking on
python-ruledispatch.  python-ruledispatch was built and thus not in the
list but I discovered that it wasn't running it's testsuite.  When
that's enabled, the build bombs due to ruledispatch defining a method
which is a keyword in python-2.5+.  There doesn't appear to be any work
on ruledispatch upstream to fix this so I'd propose to block that from
the rawhide repo and work on updating to TurboGears-1.1(beta) which does
not have the ruledispatch dependency.

I'm going to get started on that by building a snapshot of the 1.1 tree
today.

-Toshio

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]